0°

【重要】Seven 升级到 2.9.0 ,修复了一些bug,完善了一些功能,请大家及时升级

2.8.0之前的版本存在一个严重的支付漏洞,之前在QQ群里发过一个临时的解决方法,但是不能完全杜绝,如果您有使用支付功能,请务必要进行升级。

2.9.0版本将不再每天检查激活状态,只有在创建新的站点或者重新安装主题的时候可能需要重新激活。

Seven主题 2.9.0 的升级内容

支持了 php7.3 :php7.3比php7.2快了至少22%,有条件的建议更换php7.3的环境

  1. 修复了支付漏洞
  2. 修复了用户个人中心解绑社交账户的bug
  3. 修复了发送邮件无法显示 Html 的bug
  4. 修复了oss水印的问题
  5. 修复了登录框无法正确记住账户密码的问题
  6. 修复了编辑文章时间限制的bug
  7. 修复了支付按钮手机端可能错位的bug
  8. 修复了图片剧中的bug
  9. 修复了网站标题连接符转移的问题
  10. 取消购买商品时强制要求填写地址
  11. 更新了语音朗读的api
  12. 添加了虎皮椒支付
  13. 添加了是否允许注册的开关,请大家把wp默认的注册关掉,使用主题设置->登录与注册设置里面的按钮进行开关的操作,防止垃圾注册的情况产生
  14. 添加了投稿频次的限制,防止垃圾投稿。
  15. 添加了私信频次的限制,防止垃圾私信。
  16. 更新了加密代码和激活方法
  17. 优化了代码,提升了速度
  18. 其他重要安全更新(安全方面不便透露)

升级提示

Seven主题和B2主题下载地址合并到一个页面了,而且两个主题可以使用相同的扩展,安装一个即可,请在主题下载页面进行下载安装。

扩展安装:

Seven2.9.0的扩展也升级了,需要重新安装,请在Seven主题下载页面根据教程重新安装.so文件。

主题安装:

切换其他主题->删掉seven主题->后台上传新版主题启用->保存一下固定链接->重新激活主题->关闭wp默认的注册开关,使用主题登录与注册设置里面的开关。

不想折腾的朋友还是等一天再升级,小白鼠们发现问题我会及时更新下载包。

关于新用户购买

现在购买,Seven和B2这两个主题可以同时永久使用,B2发布以后两个主题将会有不同的侧重点分开升级出售,想上车的朋友赶紧哦。

补充

有不少人在倒卖自己的授权,我们也明确禁止这样做,3个授权是为了不让你们重复购买,帮你们省钱,结果你们拿来赚钱损害我们的利益,这样太不厚道了。现在倒卖的问题比较严重,我们准备要处理一下,方法先不说,但是可以保证,基本上都能处理掉。

还有一些人不知从什么渠道获得了带毒的旧版主题,造成网站访问速度慢、百度排名被清除、支付密钥泄露等问题,然后加我QQ让我帮忙处理,这样不合适,请不要再加我了。

B2版本升级计划

这个月会升级完成B2主题支付、消息、私信、积分、个人中心等。如果没有完成春哥直播吃翔,请大家关注!

Seven 主题演示:https://7b2.com

B2 主题演示:https://www.dachaoka.com

B2 版本一位用户模块组合的效果展示:https://www.haowuguo.com/

「点点赞赏,手留余香」

    还没有人赞赏,快来当第一个赞赏的人吧!
82 条回复 A 作者 M 管理员
  1. 是支持到PHP 7.3.0还是PHP 7.3.8都可以?
    升级到PHP 7.3.0后,只能FTP上传主题覆盖!因为扩展问题WordPress后台都进不去了!

    • 不是的,直接重装扩展,然后删掉旧版主题,后台重新安装新版主题就行了,理论上是所有7.3都支持

    • 也就是说我不升级到PHP 7.3,在PHP 7.2下依旧是可以升级到2.9.0的,是吧?只需要在PHP7.2下升级扩展到新版本就可以,扩展是向下兼容的!

    • 我在PHP 7.2下重装扩展后,重启php-fpm时提示错误如下:
      Starting php-fpm [14-Aug-2019 00:38:53] NOTICE: PHP message: PHP Warning: PHP Startup: Unable to load dynamic library ‘loader73.so’ (tried: /usr/local/php/lib/php/extensions/no-debug-non-zts-20170718/loader73.so (/usr/local/php/lib/php/extensions/no-debug-non-zts-20170718/loader73.so: undefined symbol: zval_ptr_dtor), /usr/local/php/lib/php/extensions/no-debug-non-zts-20170718/loader73.so.so (/usr/local/php/lib/php/extensions/no-debug-non-zts-20170718/loader73.so.so: cannot open shared object file: No such file or directory)) in Unknown on line 0

    • 并且访问网站出现:SWOOLEC Loader ext not installed

    • 我在swoole官网没有看到有支持7.3的扩展下载,博主这个扩展很明显不对呀!我测试了PHP7.2和PHP7.3.8甚至PHP7.3.0都没有成功过!

    • 可能安装方法不对,Q一下我,远程帮你装。

    • 有没有win版本的扩展

  2. 越来越牛逼了

  3. 更新后文章内海报手机版查看不居中

  4. 倒卖的要严惩 支持春哥。

欢迎您,新朋友,感谢参与互动!欢迎您 {{author}},您在本站有{{commentsCount}}条评论